Install/Update Differentiation

This is solely required for migration to the MoEngage Platform. We need your help to tell the SDK whether the user is a new user for on your app or an existing user who has updated to the latest version.

If the user was already using your application and has just updated to a new version which has MoEngage SDK it is an updated call the below API

import 'package:moengage_flutter/moengage_flutter.dart';
import 'package:moengage_flutter/app_status.dart';


final MoEngageFlutter _moengagePlugin = MoEngageFlutter();
_moengagePlugin.initialise();
_moengagePlugin.setAppStatus(MoEAppStatus.update);

In case it is a fresh install call the below API

import 'package:moengage_flutter/moengage_flutter.dart';
import 'package:moengage_flutter/app_status.dart';


final MoEngageFlutter _moengagePlugin = MoEngageFlutter();
_moengagePlugin.initialise();
_moengagePlugin.setAppStatus(MoEAppStatus.install);